//kuaishow.com
//jackysuy
EditorInit('postform', 'content', callCount);
$(function () {
    getSubject(0, "");

    $("#postform").submit(function () {
        if ($("#postsubmit").attr("disabled") == true) {
            return false;
        }
        $("#postsubmit").attr("disabled", "disabled");

        var flag = true;
        if ($("#title").val() == "") {
            $("#title_tip").html("请填写提问标题！");
            $("#title").focus();
            $("#postsubmit").attr("disabled", "");
            flag = false;
        }
        else {
            $("#title_tip").html("");
        }
        if ($("#contentnum").html() == "0") {
            $("#content_tip").html("请填写提问内容！");
            $("#postsubmit").attr("disabled", "");
            flag = false;
        }
        else {
            $("#content_tip").html("");
        }
        if ($("#classid").val() == "" || $("#classid").val() == "0") {
            $("#classid_tip").html("必须选择分类！");
            $("#postsubmit").attr("disabled", "");
            flag = false;
        }
        else {
            $("#classid_tip").html("");
        }
        if ($("#xsf").val() == "") {
            $("#xsf_tip").html("悬赏分必填！");
            $("#postsubmit").attr("disabled", "");
            flag = false;
        }
        else {
            $("#xsf_tip").html("");
        }
        if (parseInt($("#xsf").val()) > parseInt($("#score").html())) {
            $("#xsf_tip").html("悬赏分不可大于你的现有积分！");
            $("#postsubmit").attr("disabled", "");
            flag = false;
        }
        else {
            $("#xsf_tip").html("");
        }
        return flag;
    });

});

function getSubject(prentId) {
    var htm = "";
    $.getJSON("/inc/getaskclass.ashx?parentId=" + prentId, function (data) {
        $.each(data.categoryList, function (i, item) {
            if (item) {
                if (item.chlids == "0") {
                    htm += "<a onclick=\"javascript:getSubject(" + item.id + ");\">" + item.name + "</a>";
                }
                else {
                    htm += "<a onclick=\"javascript:getSubject(" + item.id + ");\" class=\"childs\">" + item.name + "</a>";
                }
            }
        });
        if (htm == "") {
            htm = "无下级分类";
        }

        $("#cate").html(htm);
    });

    $("#classid").val(prentId);

    $.get("/inc/getaskclass.ashx?parentId=" + prentId + "&type=getnav", function (data) {
        $("#classnav").html(data);
    });
}